Bug 728112 - QE: Review BRMS User Guide
Summary: QE: Review BRMS User Guide
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: doc-BRMS_User_Guide
Version: BRMS 5.2.0.GA
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: BRMS 5.2.0.GA
Assignee: lcarlon
QA Contact: Lukáš Petrovický
URL:
Whiteboard:
Depends On:
Blocks: 724781
TreeView+ depends on / blocked
 
Reported: 2011-08-04 05:31 UTC by lcarlon
Modified: 2012-02-17 00:02 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-17 00:02:14 UTC
Type: ---


Attachments (Terms of Use)

Description lcarlon 2011-08-04 05:31:43 UTC
The BRMS user guide has been updated for 5.2,

the document is available internally at:

http://documentation-stage.bne.redhat.com/docs/en-US/JBoss_Enterprise_BRMS_Platform/5/html-single/BRMS_Userguide/index.html

The work that has been completed is as follows:

Chapter 3 has been broken into Chapters 3, 4, & 5.

Chapter 3, 
Updated Supported Browsers

Chapter 4,
Section Guided Decision Tables (Web Based) essentially all new content

Chapter 5,
Updated content, included procedures for creating models (Jar and Declarative)

Chapter 6 Working Sets has been added

Chapter 7,
Combined Creating a Business User View with The Business User's Perspective

Comment 1 Lukáš Petrovický 2011-08-05 07:25:24 UTC
Some screenshots (such as 4.3 Asset Editor) weren't updated for BRMS 5.2, where the GUI look significantly changed.

Other than that, the guide is all fine and well.

Comment 2 lcarlon 2011-08-11 22:47:31 UTC
Just noting the new URL:

http://documentation-stage.bne.redhat.com/docs/en-US/JBoss_Enterprise_BRMS_Platform/5/html/BRMS_User_Guide/index.html

The name has been changed from 'Userguide' to 'User Guide' and as such the URL has changed.

Comment 3 lcarlon 2011-08-18 00:26:30 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Not required

Comment 4 lcarlon 2011-08-18 03:46:41 UTC
Deleted Technical Notes Contents.

Old Contents:
Not required

Comment 5 Lukáš Petrovický 2011-09-08 12:41:52 UTC
Lee, unless you're going to re-do some of the screenshots, I'll transfer this to VERIFIED.

Comment 6 lcarlon 2011-09-08 22:57:35 UTC
Hi Lukáš,

I'm working on those screen shots at the moment, and reworking some of the accompanying text.

I'll mark it as modified and provide links once I'm done.

Thanks
Lee

Comment 7 lcarlon 2011-09-12 05:35:16 UTC
Screen shots updated.

As a result it was necessary to change some of the text that no longer matched (sorry for the late changes).

I made 'The Asset Editor' section a subsection of Rule Authoring, and replaced the alphabetized list (which was out of date and note very helpful) with a description of the scenarios the editor can be used for.

I removed the Guided editor screen shot (it was just a duplication of the previous screen shot), and replaced the alphabetized list of descriptions with the section 'Anatomy of a Rule', and two procedures designed to get the user moving around in the UI.

I've removed the duplicate status management screen shot in 4.4

I also removed the Complex Example as the procedures added to the new Section The Anatomy of a Rule covers the same material.

The changes will be live on the doc stage shortly:

http://documentation-stage.bne.redhat.com/docs/en-US/JBoss_Enterprise_BRMS_Platform/5/html/BRMS_User_Guide/index.html

Comment 8 Lukáš Petrovický 2011-09-12 06:11:07 UTC
Everything looks fine.


Note You need to log in before you can comment on or make changes to this bug.